LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 10-08-2018, 02:26 PM   #1441
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,519

Original Poster
Rep: Reputation: Disabled

MPlayer from Slackware doesn't link against libx265 at all...
it's ffmpeg (used by MPlayer) that links to it: maybe you should rebuild your ffmpeg package.
 
1 members found this post helpful.
Old 10-08-2018, 02:53 PM   #1442
lord_
Member
 
Registered: Apr 2018
Distribution: Slackware -current
Posts: 39

Rep: Reputation: Disabled
Quote:
Originally Posted by ponce View Post
MPlayer from Slackware doesn't link against libx265 at all...
it's ffmpeg (used by MPlayer) that links to it: maybe you should rebuild your ffmpeg package.
Indeed! Rebuilding ffmpeg fixes everything!

Thanks.
 
Old 10-10-2018, 02:20 PM   #1443
orbea
Senior Member
 
Registered: Feb 2015
Distribution: Slackware64-current
Posts: 1,472

Rep: Reputation: Disabled
spacefm doesn't compile with glibc-2.28 because of '-Werror-implicit-function-declaration'. Instead of disabling -Werror its probably better to solve it with this patch.

Code:
diff --git a/src/main.c b/src/main.c                                                                                                                                              
index 645e2ec..9453a3b 100644
--- a/src/main.c
+++ b/src/main.c
@@ -23,6 +23,7 @@
 #include <sys/types.h>
 #include <sys/socket.h>
 #include <sys/un.h>
+#include <sys/sysmacros.h>
 
 #include <signal.h>
Source: https://github.com/IgnorantGuru/spacefm/issues/727
 
Old 10-10-2018, 02:45 PM   #1444
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,519

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by orbea View Post
spacefm doesn't compile with glibc-2.28 because of '-Werror-implicit-function-declaration'. Instead of disabling -Werror its probably better to solve it with this patch.

Code:
diff --git a/src/main.c b/src/main.c                                                                                                                                              
index 645e2ec..9453a3b 100644
--- a/src/main.c
+++ b/src/main.c
@@ -23,6 +23,7 @@
 #include <sys/types.h>
 #include <sys/socket.h>
 #include <sys/un.h>
+#include <sys/sysmacros.h>
 
 #include <signal.h>
Source: https://github.com/IgnorantGuru/spacefm/issues/727
Thanks, pushed!

https://github.com/Ponce/slackbuilds/tree/spacefm
 
Old 10-11-2018, 09:12 PM   #1445
orbea
Senior Member
 
Registered: Feb 2015
Distribution: Slackware64-current
Posts: 1,472

Rep: Reputation: Disabled
Libraries/libtxc_dxtn should be removed.

Quote:
Why isn't GL_EXT_texture_compression_s3tc implemented in Mesa?

Oh but it is! Prior to 2nd October 2017, the Mesa project did not include s3tc support due to intellectual property (IP) and/or patent issues around the s3tc algorithm.

As of Mesa 17.3.0, Mesa now officially supports s3tc, as the patent has expired.
Since current has mesa-18.2.2 this is included in current and libtxc_dxtn is no longer needed.

Source: https://www.mesa3d.org/faq.html#part4 (See 4.3)
 
3 members found this post helpful.
Old 10-12-2018, 01:02 AM   #1446
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,519

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by orbea View Post
Libraries/libtxc_dxtn should be removed.



Since current has mesa-18.2.2 this is included in current and libtxc_dxtn is no longer needed.

Source: https://www.mesa3d.org/faq.html#part4 (See 4.3)
thanks, pushed!
 
1 members found this post helpful.
Old 10-14-2018, 01:14 AM   #1447
RadicalDreamer
Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 913

Rep: Reputation: 419Reputation: 419Reputation: 419Reputation: 419Reputation: 419
Octave 4.2.2 won't build for me. I am using OpenBLAS 0.3.3. I successfully built Octave with Octave 4.4.1 source code.
 
Old 10-14-2018, 03:09 AM   #1448
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,519

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by RadicalDreamer View Post
Octave 4.2.2 won't build for me. I am using OpenBLAS 0.3.3. I successfully built Octave with Octave 4.4.1 source code.
I'm not sure what's happening there but here on slackware64-current I was able to build SBo's octave against OpenBLAS and also against blas / lapack...
 
Old 10-14-2018, 09:48 AM   #1449
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint, Niresh (MacOS)...
Posts: 481

Rep: Reputation: 309Reputation: 309Reputation: 309Reputation: 309
kicad doesn't in -current (x86_64) with "sbopkg -V SBo-git/current -i kicad"
--------------------
-- Looking for strtok_r - found
CMake Error at CMakeModules/CheckCXXSymbolExists.cmake:41 (_CHECK_SYMBOL_EXISTS):
Unknown CMake command "_CHECK_SYMBOL_EXISTS".
Call Stack (most recent call first):
CMakeModules/PerformFeatureChecks.cmake:86 (check_cxx_symbol_exists)
CMakeLists.txt:141 (perform_feature_checks)


-- Configuring incomplete, errors occurred!
See also "/tmp/SBo/kicad-4.0.7/build/CMakeFiles/CMakeOutput.log".

kicad:
Would you like to continue processing the rest of the
queue or would you like to abort? If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.
----------------------------
 
Old 10-14-2018, 10:03 AM   #1450
RadicalDreamer
Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 913

Rep: Reputation: 419Reputation: 419Reputation: 419Reputation: 419Reputation: 419
Quote:
Originally Posted by ponce View Post
I'm not sure what's happening there but here on slackware64-current I was able to build SBo's octave against OpenBLAS and also against blas / lapack...
I'm using a customized script brobr provided in this thread for OpenBlas because I had issue with something not using it if I remember correctly due to OpenBlas not making some symbolic links.
https://www.linuxquestions.org/quest...ml#post5809148

Last edited by RadicalDreamer; 10-14-2018 at 10:04 AM.
 
Old 10-14-2018, 03:04 PM   #1451
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,519

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by nobodino View Post
kicad doesn't in -current (x86_64) with "sbopkg -V SBo-git/current -i kicad"
--------------------
-- Looking for strtok_r - found
CMake Error at CMakeModules/CheckCXXSymbolExists.cmake:41 (_CHECK_SYMBOL_EXISTS):
Unknown CMake command "_CHECK_SYMBOL_EXISTS".
Call Stack (most recent call first):
CMakeModules/PerformFeatureChecks.cmake:86 (check_cxx_symbol_exists)
CMakeLists.txt:141 (perform_feature_checks)


-- Configuring incomplete, errors occurred!
See also "/tmp/SBo/kicad-4.0.7/build/CMakeFiles/CMakeOutput.log".

kicad:
Would you like to continue processing the rest of the
queue or would you like to abort? If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.
----------------------------
well, I guess kicad-4.0.7 is not compatible with the newer cmake: you can version-bump it to 5.0.1 but that will introduce additional dependencies, namely ngspice (that must be built with an additional configure option than the one on SBo) and glm.

http://ponce.cc/slackware/testing/kicad/
 
Old 10-15-2018, 07:54 AM   #1452
nobodino
Member
 
Registered: Jul 2010
Location: in France
Distribution: slackware, slackware from scratch, LFS, linux Mint, Niresh (MacOS)...
Posts: 481

Rep: Reputation: 309Reputation: 309Reputation: 309Reputation: 309
nice, kicad-5.0.1 works with the new dependancy.
thanks to Mr Ponce.
 
Old 10-16-2018, 08:54 AM   #1453
mralk3
Senior Member
 
Registered: May 2015
Location: Utah, USA
Distribution: Slackware 14.2 || Slackware-current && CentOS
Posts: 1,322

Rep: Reputation: 697Reputation: 697Reputation: 697Reputation: 697Reputation: 697Reputation: 697
The following patch fixes the dsniff build with openssl 1.1.1 on current.

https://salsa.debian.org/pkg-securit....0-Build.patch

There are a few more possible patches, but I have not yet evaluated them.
 
1 members found this post helpful.
Old 10-17-2018, 07:05 AM   #1454
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 1,011

Rep: Reputation: 310Reputation: 310Reputation: 310Reputation: 310
freetds-1.00.9 fails to build on current.

Im not search for patches, but test version freetds-1.00.99 , builds fine.
 
Old 10-18-2018, 11:14 AM   #1455
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,519

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by mralk3 View Post
The following patch fixes the dsniff build with openssl 1.1.1 on current.

https://salsa.debian.org/pkg-securit....0-Build.patch

There are a few more possible patches, but I have not yet evaluated them.
Quote:
Originally Posted by USUARIONUEVO View Post
freetds-1.00.9 fails to build on current.

Im not search for patches, but test version freetds-1.00.99 , builds fine.
thanks to both of you: pushed!
 
1 members found this post helpful.
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 06:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 02:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 02:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 08:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 08:11 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration